.aolei_company_data {
    position: relative;
    width: 100%;
    padding-top: 50px;
    padding-bottom: 70px;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.60) 1.41%, rgba(0, 0, 0, 0.00) 40%);
}

.aolei_company_data .bg-img {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
    z-index: -1;
}

.aolei_company_data .company-data-title {
    font-size: var(--font-40);
    font-family: var(--title-font-family);
    font-weight: 400;
    line-height: normal;
    text-align: center;
    color: #FFF;
}

.aolei_company_data .company-data-box {
    display: flex;
    gap: 62px;
    justify-content: center;
    margin-top: 45px;
    margin-bottom: 600px;
}

.aolei_company_data .data-item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 234px;
    height: 126px;
    gap: 26px;
    padding-top: 30px;
}

.aolei_company_data .data-item svg {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 148px;
    object-fit: cover;
}

.aolei_company_data .data-item-value {
    position: relative;
    font-size: var(--font-40);
    font-weight: 400;
    font-family: var(--title-font-family);
    color: var(--color-primary);
    line-height: normal;
}

.aolei_company_data .data-item-value em {
    position: absolute;
    font-size: var(--font-28);
    font-family: var(--font-family);
    line-height: 1.43;
    bottom: 10%;
}

.aolei_company_data .data-item-desc {
    font-size: var(--font-18);
    font-weight: 400;
    font-family: var(--title-font-family);
    line-height: normal;
    text-align: center;
    text-shadow: 0 4px 4px rgba(255, 255, 255, 0.25);
    color: #FFF;
}

.aolei_company_data .position-item {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
}

.aolei_company_data .position-item img {
    border-radius: 50%;
    box-shadow: 0 4px 4px 0 rgba(255, 255, 255, 0.60);
    cursor: pointer;
}

.aolei_company_data .position-item-title {
    font-size: var(--font-14);
    font-weight: 400;
    font-family: var(--font-family);
    line-height: normal;
    text-shadow: 0 4px 4px rgba(255, 255, 255, 1);
    -webkit-text-stroke-width: 0.3px;
    -webkit-text-stroke-color: #FFF;
    color: var(--text-color);
    cursor: pointer;
}

.aolei_company_data .position-item-1 {
    top: 42%;
    left: 24%;
}

.aolei_company_data .position-item-2 {
    top: 57%;
    left: 33%;
}

.aolei_company_data .position-item-3 {
    top: 31%;
    left: 42%;
}

.aolei_company_data .position-item-4 {
    top: 43%;
    left: 61%;
}

.aolei_company_data .profile-box-overlay {
    z-index: 13;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
    background: rgba(0, 0, 0, 0.50);
    backdrop-filter: blur(25px);
    opacity: 0;
    transition: all 0.3s ease;
}

.aolei_company_data .profile-box-overlay.active {
    visibility: visible;
    opacity: 1;
    transition: all 0.3s ease;
}

.aolei_company_data .profile-box {
    position: relative;
    margin: auto;
    width: 50%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    row-gap: 40px;
    padding: 50px 80px;
    border: 1.75px solid rgba(255, 255, 255, 0.30);
    background: linear-gradient(114deg, #FFF 1.94%, rgba(238, 238, 238, 0.70) 100%);
    backdrop-filter: blur(13.125px);
}

.aolei_company_data .profile-box-close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}

.aolei_company_data .profile-item {
    width: 31.4%;
    display: flex;
    flex-direction: column;
}

.aolei_company_data .profile-item:first-child {
    width: 100%;
    flex-direction: row;
    align-items: start;
    justify-content: space-between;
}

.aolei_company_data .profile-item img {
    width: 100%;
    aspect-ratio: 234/139;
    object-fit: cover;
    object-position: center center;
}

.aolei_company_data .profile-item-title {
    font-size: var(--font-16);
    font-weight: 700;
    font-family: var(--font-family);
    line-height: normal;
    color: #000;
    margin-top: 17px;
    margin-bottom: 6px;
}

.aolei_company_data .profile-item-content {
    font-size: var(--font-14);
    font-weight: 400;
    font-family: var(--font-family);
    line-height: normal;
    color: #666;
}

.aolei_company_data .profile-item:first-child .profile-item-title {
    margin: 0;
}

.aolei_company_data .profile-item:first-child .profile-item-content {
    max-width: 50%;
}

.aolei_company_data .partner-box {
    width: 100%;
    height: 98px;
    padding: 24px 50px;
    border: 1.75px solid rgba(255, 255, 255, 0.30);
    background: linear-gradient(114deg, #FFF 1.94%, rgba(238, 238, 238, 0.70) 100%);
    backdrop-filter: blur(13.125px);
}

.aolei_company_data .partner-box .swiper {
    width: 100%;
    height: 100%;
}

.aolei_company_data .partner-box img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center center;
}

@media screen and (max-width: 2560px) {
    .aolei_company_data .company-data-box {
        margin-bottom: 1030px;
    }
}

@media screen and (max-width: 1920px) {
    .aolei_company_data .company-data-box {
        margin-bottom: 600px;
    }
}

@media screen and (max-width: 1500px) {
    .aolei_company_data {
        padding-top: 30px;
    }

    .aolei_company_data .company-data-box {
        margin-top: 30px;
        margin-bottom: 540px;
    }

    .aolei_company_data .position-item-1 {
        top: 33%;
        left: 20%;
    }

    .aolei_company_data .position-item-2 {
        top: 46%;
    }

    .aolei_company_data .position-item-3 {
        top: 26%;
    }

    .aolei_company_data .position-item-4 {
        top: 33%;
    }

    .aolei_company_data .profile-box {
        width: 80%;
    }
}


@media screen and (max-width: 1200px) {
    .aolei_company_data .company-data-box {
        margin-top: 20px;
        margin-bottom: 500px;
        gap: 0;
    }

    .aolei_company_data .data-item {
        width: 213px;
        height: 113px;
        gap: 18px;
    }

    .aolei_company_data .data-item svg {
        width: 134px;
    }
}

@media screen and (max-width: 992px) {
    .aolei_company_data .data-item {
        gap: 24px;
        justify-content: start;
    }

    .aolei_company_data .position-item-1 {
        left: 13%;
    }

    .aolei_company_data .position-item-2 {
        top: 44%;
        left: 25%;
    }

    .aolei_company_data .position-item-4 {
        left: 65%;
    }

    .aolei_company_data .partner-box {
        height: 70px;
        padding: 14px 30px;
    }
}

@media screen and (max-width: 768px) {
    .aolei_company_data {
        padding-bottom: 12px;
        background: none;
    }

    .aolei_company_data .bg-img {
        object-fit: contain;
        object-position: 140px 100px;
        object-view-box: inset(20%);
        height: 60%;

        @supports not (object-view-box: inset(20%)) {
            object-fit: cover;
            scale: 1.2;
            object-position: 50px -20%;
        }
    }

    .aolei_company_data .company-data-title {
        color: var(--text-color);
    }

    .aolei_company_data .company-data-box {
        flex-wrap: wrap;
        margin-top: 0;
        margin-bottom: 400px;
    }

    .aolei_company_data .data-item {
        gap: 20px;
        padding-top: 36px;
        height: 100px;
        width: 40%;
    }

    .aolei_company_data .data-item svg {
        width: 90px;
    }

    .aolei_company_data .data-item-desc {
        color: var(--text-color);
        text-shadow: 0 2.362px 2.362px rgba(255, 255, 255, 0.25);
    }

    .aolei_company_data .position-item-1 {
        top: unset;
        left: 25%;
        bottom: 26%;
    }

    .aolei_company_data .position-item-2 {
        top: unset;
        left: 34%;
        bottom: 15%;
    }

    .aolei_company_data .position-item-3 {
        top: unset;
        left: 50%;
        bottom: 34%;
    }

    .aolei_company_data .position-item-4 {
        top: unset;
        left: 73%;
        bottom: 26%;
    }

    .aolei_company_data .profile-box {
        width: 95%;
        padding: 20px;
        row-gap: 20px;
    }

    .aolei_company_data .profile-box-close {
        top: 4px;
        right: 4px;
        width: 18px;
        height: 18px;
    }

    .aolei_company_data .profile-item:first-child .profile-item-content {
        max-width: 65%;
    }
}

@media screen and (max-width: 700px) {
    .aolei_company_data .bg-img {
        object-position: 80px 100px;
    }
}

@media screen and (max-width: 640px) {
    .aolei_company_data .bg-img {
        object-position: 60px 100px;
    }
}

@media screen and (max-width: 576px) {
    .aolei_company_data .partner-box {
        padding: 10px 20px;
    }

    .aolei_company_data .position-item-1 {
        bottom: 26%;
    }

    .aolei_company_data .position-item-2 {
        left: 32%;
        bottom: 16%;
    }

    .aolei_company_data .position-item-4 {
        left: 76%;
        bottom: 26%;
    }
}

@media screen and (max-width: 480px) {
    .aolei_company_data .bg-img {
        object-position: 40px 100px;
        height: 60%;

        @supports not (object-view-box: inset(20%)) {
            object-position: 25% 40px;
        }
    }

    .aolei_company_data .company-data-box {
        margin-bottom: 330px;
    }

    .aolei_company_data .position-item-1 {
        left: 13%;
        bottom: 30%;
    }

    .aolei_company_data .position-item-2 {
        left: 27%;
    }
}